Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.filter
Class SurtPrefixFilter

    java.lang.Object
      javax.management.Attribute
          org.archive.crawler.settings.Type
              org.archive.crawler.settings.ComplexType
                  org.archive.crawler.settings.ModuleType
                      org.archive.crawler.framework.Filter
                          org.archive.crawler.filter.SurtPrefixFilter

All Implemented Interfaces:
  java.io.Serializable, javax.management.DynamicMBean

Deprecated. As of release 1.10.0. Replaced by `DecidingFilter` and equivalent `DecideRule`.

    public class SurtPrefixFilter

extends Filter

A filter which tests a URI against a set of SURT prefixes, and if the URI's prefix is in the set, returns the chosen true/false accepts value.

Author:
  gojomo
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.archive.crawler.settings.ComplexType
`ComplexType.MBeanAttributeInfoIterator`

Field Summary
`static java.lang.String` | `ATTR_MATCH_RETURN_VALUE` Deprecated.
`static java.lang.String` | `ATTR_SURTS_SOURCE_FILE` Deprecated.
`(package private) SurtPrefixSet` | `surtPrefixes` Deprecated.

Fields inherited from class org.archive.crawler.framework.Filter
`ATTR_ENABLED`

Fields inherited from class org.archive.crawler.settings.ComplexType
`definition, definitionMap`

Constructor Summary
`SurtPrefixFilter(java.lang.String name)` Deprecated.

Method Summary
`protected boolean` | `innerAccepts(java.lang.Object o)` Deprecated. Classes subclassing this one should override this method to perfrom their custom determination of whether or not the object given to it.
`void` | `kickUpdate()` Deprecated. Re-read prefixes after a settings update.

Methods inherited from class org.archive.crawler.framework.Filter
`accepts, getFilterOffPosition, returnTrueIfMatches, toString`

Methods inherited from class org.archive.crawler.settings.ModuleType
`addElement, listUsedFiles`

Methods inherited from class org.archive.crawler.settings.ComplexType
`addElementToDefinition, checkValue, earlyInitialize, getAbsoluteName, getAttribute, getAttribute, getAttribute, getAttributeInfo, getAttributeInfo, getAttributeInfoIterator, getAttributes, getDataContainerRecursive, getDataContainerRecursive, getDefaultValue, getDescription, getElementFromDefinition, getLegalValues, getLocalAttribute, getMBeanInfo, getMBeanInfo, getParent, getPreservedFields, getSettingsHandler, getUncheckedAttribute, getValue, globalSettings, invoke, isInitialized, isOverridden, iterator, removeElementFromDefinition, setAsOrder, setAttribute, setAttribute, setAttributes, setDescription, setPreservedFields, unsetAttribute`

Methods inherited from class org.archive.crawler.settings.Type
`addConstraint, equals, getConstraints, getLegalValueType, isExpertSetting, isOverrideable, isTransient, setExpertSetting, setLegalValueType, setOverrideable, setTransient`

Methods inherited from class javax.management.Attribute
`getName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTR_SURTS_SOURCE_FILE

    public static final java.lang.String ATTR_SURTS_SOURCE_FILE

  Deprecated.
  See Also:
    Constant Field Values

### ATTR_MATCH_RETURN_VALUE

    public static final java.lang.String ATTR_MATCH_RETURN_VALUE

  Deprecated.
  See Also:
    Constant Field Values

### surtPrefixes

    SurtPrefixSet surtPrefixes

  Deprecated.

Constructor Detail

### SurtPrefixFilter

    public SurtPrefixFilter(java.lang.String name)

  Deprecated.
  Parameters:
    `name` -

Method Detail

### innerAccepts

    protected boolean innerAccepts(java.lang.Object o)

  Deprecated.
  Description copied from class: `Filter`
  Classes subclassing this one should override this method to perfrom their custom determination of whether or not the object given to it.

  Overrides:
    `innerAccepts` in class `Filter`
  Parameters:
    `o` - The object
  Returns:
    True if it passes the filter.

### kickUpdate

    public void kickUpdate()

  Deprecated.
  Re-read prefixes after a settings update.

  Overrides:
    `kickUpdate` in class `Filter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.